Subject: Re: bug#6339: url-filename => "/c:/some/file.txt"

From: Juanma Barranquero <[email-masked]>
Date: Thu, 6 Oct 2011 18:54:21 +0200

On Thu, Oct 6, 2011 at 18:49, Stefan Monnier <[email-masked]> wrote:

> But the patch you sent changes url-generic-parse-url so it presumably
> can affect many more places that just those that call url-filename.

url-generic-parse-url returns a url struct, and url-filename is the
accessor for the slot. If there's code that uses the slot without
going through the accessor, well... I think that's a bug (or, at the
very least, dangerous and ugly) and sooner or later we'll find about
it.

> I think it's the right thing to do.  But maybe the best patch will need
> to rename the `filename' slot and to define url-filename to do the
> (expand-file-name (url-somethingelse URL) "/") or something like that.

I don't think you can do that, because, as explained before in the
thread, splitting the URL and using its parts are independent actions.
It is entirely possible to split a file URL and then use it in
different systems, isn't it?

    Juanma